Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class ProfessionType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.ProfessionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:35+01:00",
               comments="JAXB RI v2.2.11")
    public class ProfessionType

extends Object
implements Serializable

Java class for professionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="professionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-PROFESSION" maxOccurs="unbounded" minOccurs="0"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-EMPLOYMENTSITUATION" maxOccurs="unbounded" minOccurs="0"/>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProfessionType()`

Method Summary
`List<CDEMPLOYMENTSITUATION>` | `getCds()` Gets the value of the cds property.
`List<IDPROFESSION>` | `getIds()` Gets the value of the ids property.
`TextType` | `getText()` Gets the value of the text property.
`void` | `setText(TextType value)` Sets the value of the text property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfessionType

    public ProfessionType()

Method Detail

### getIds

    public List<IDPROFESSION> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `IDPROFESSION`

### getCds

    public List<CDEMPLOYMENTSITUATION> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDEMPLOYMENTSITUATION`

### getText

    public TextType getText()

  Gets the value of the text property.

  Returns:
    possible object is `TextType`

### setText

    public void setText(TextType value)

  Sets the value of the text property.

  Parameters:
    `value` - allowed object is `TextType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.